Campaigns

List campaigns

GET
/v1/campaigns

Scope: ads:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/campaigns'
Example Response
{  "campaigns": [],  "channels": [    {      "id": "8a7137f9-77ac-4774-b477-09e2a05c4de8",      "name": "E2E Ad Channel",      "tz": "America/New_York",      "source": "none",      "accounting": "included",      "avgViewersPerBreak": null,      "breaks": 714,      "hasPublished": true,      "minSec": 30,      "maxSec": 90,      "reviddLinked": false    },    {      "id": "1dad8739-b86a-4f5e-ab64-28b7f72a717d",      "name": "E2E Ad Channel India",      "tz": "Asia/Kolkata",      "source": "campaigns",      "accounting": "included",      "avgViewersPerBreak": 5000,      "breaks": 590,      "hasPublished": true,      "minSec": 30,      "maxSec": 90,      "reviddLinked": false    }  ],  "counts": {    "all": 0,    "running": 0,    "scheduled": 0,    "ended": 0  }}